Bug 1235000 - The method of passing extra heat templates to openstack overcloud deploy is not intuitive
Summary: The method of passing extra heat templates to openstack overcloud deploy is n...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin
Version: Director
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ga
: Director
Assignee: John Trowbridge
QA Contact: yeylon@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1231214
TreeView+ depends on / blocked
 
Reported: 2015-06-23 17:41 UTC by John Trowbridge
Modified: 2016-04-18 06:50 UTC (History)
12 users (show)

Fixed In Version: python-rdomanager-oscplugin-0.0.8-8.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 13:55:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gerrithub.io 237408 None None None Never
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description John Trowbridge 2015-06-23 17:41:13 UTC
Description of problem:

Currently, to pass extra heat templates to the deployment, all of the templates need to be placed in a subdirectory of /etc/tripleo/extra_config.d/, and they must either be named *environment*.yaml or *registry*.yaml. This was done specifically so we could just drop the rhel-registration templates directory from tripleo-heat-templates in our extra config drop directory, and it would just work.

However, after trying to explain how this interface works to folks adding other extra configuration, it seems like this was not the best option. I would propose that instead of the drop directory approach, we just pass all extra configuration with individual -e options, exactly how it is done via heatclient.

Changing this interface post GA would potentially make upgrades painful. So, if we are going to change it, we should probably do it now.

Comment 3 Dan Sneddon 2015-06-23 17:51:30 UTC
(In reply to John Trowbridge from comment #0)
> Description of problem:
> 
> Currently, to pass extra heat templates to the deployment, all of the
> templates need to be placed in a subdirectory of
> /etc/tripleo/extra_config.d/, and they must either be named
> *environment*.yaml or *registry*.yaml.

It's even worse, because the search is for <base_dir>/*/*environment*yaml (or *registry*). So the files actually need to be in /etc/tripleo/extra_config.d/<new_dir>/<files>. The documentation given when running "openstack help overcloud deploy" does not properly specify this.

Comment 4 Rafael Rosa 2015-06-23 20:14:21 UTC
Follow Trowbridge's suggestion, pass '-e extra-template1.yaml -e extra-template2.yaml'  in a similar way to heat's client.

Comment 5 John Trowbridge 2015-06-23 20:53:39 UTC
Patch submitted upstream: https://review.gerrithub.io/#/c/237408

Comment 12 Omri Hochman 2015-06-26 20:58:08 UTC
Verified : python-rdomanager-oscplugin-0.0.8-13.el7ost.noarch

Comment 14 errata-xmlrpc 2015-08-05 13:55:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.